Package org.flowable.bpmn.model

# Class Lane

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Lane

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Lane extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `flowReferences`
  `protected String`
  `name`
  `protected Process`
  `parentProcess`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lane()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lane`
  `clone()`
  `List<String>`
  `getFlowReferences()`
  `String`
  `getName()`
  `Process`
  `getParentProcess()`
  `void`
  `setFlowReferences(List<String> flowReferences)`
  `void`
  `setName(String name)`
  `void`
  `setParentProcess(Process parentProcess)`
  `void`
  `setValues(Lane otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### parentProcess

    protected Process parentProcess

  - ### flowReferences

    protected List<String> flowReferences

- ## Constructor Details

  - ### Lane

    public Lane()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getParentProcess

    public Process getParentProcess()

  - ### setParentProcess

    public void setParentProcess(Process parentProcess)

  - ### getFlowReferences

    public List<String> getFlowReferences()

  - ### setFlowReferences

    public void setFlowReferences(List<String> flowReferences)

  - ### clone

    public Lane clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Lane otherElement)